Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Class DiagramElement

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.access.MutableDataElementSupport
              biouml.model.DiagramElement

All Implemented Interfaces:
  DataElement, MutableDataElement

Direct Known Subclasses:
  Edge, Node

public abstract class DiagramElement
extends MutableDataElementSupport

Common definition of diagram element. Digram element is wrapper for some data element - kernel. This kernel is storing all specific data.

Pendung:
  use `CompositeView` instead of `View`., provide `DynamicProperties` to store any additiona data.

Field Summary
`protected java.lang.String` | `comment` Any comment can be assotiated with a `DiagramElement`.
`protected Base` | `kernel`
`protected Role` | `role` Any `Role` can be assotiated with a `DiagramElement`.
`protected java.lang.String` | `title` The `DiagramElement` title.
`protected View` | `view` The `DiagramElement` view.

Fields inherited from class ru.biosoft.access.MutableDataElementSupport
`name`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`DiagramElement(DataCollection parent, Base kernel)` Constructs the diagram element.
`DiagramElement(DataCollection parent, java.lang.String name, Base kernel)` Constructs the diagram element.

Method Summary
`DiagramElement` | `clone(Compartment newParent, java.lang.String newName)`
`java.lang.String` | `getComment()`
`Base` | `getKernel()`
`Role` | `getRole()`
`java.lang.String` | `getTitle()`
`View` | `getView()`
`boolean` | `isKernelHidden()`
`boolean` | `isRoleHidden()`
`void` | `setComment(java.lang.String comment)`
`void` | `setKernel(Base kernel)`
`void` | `setRole(Role role)`
`void` | `setTitle(java.lang.String title)`
`void` | `setView(View view)` Normally this function should be called by `DiagramViewBuilder`.

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.MutableDataElement
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### kernel

    protected Base kernel

### view

    protected View view

  The `DiagramElement` view.

### title

    protected java.lang.String title

  The `DiagramElement` title. By default title is kernel element name. However a user can change the diagram element title.

### comment

    protected java.lang.String comment

  Any comment can be assotiated with a `DiagramElement`.

### role

    protected Role role

  Any `Role` can be assotiated with a `DiagramElement`.

Constructor Detail

### DiagramElement

    public DiagramElement(DataCollection parent,
                          java.lang.String name,
                          Base kernel)

  Constructs the diagram element.

Parameters:
  `parent` - the parent compartment
  `name` - the diagram element name

### DiagramElement

    public DiagramElement(DataCollection parent,
                          Base kernel)

  Constructs the diagram element.

Parameters:
  `parent` - the parent compartment

Method Detail

### getKernel

    public Base getKernel()

### setKernel

    public void setKernel(Base kernel)

### getView

    public View getView()

### setView

    public void setView(View view)

  Normally this function should be called by `DiagramViewBuilder`.

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

### getComment

    public java.lang.String getComment()

### setComment

    public void setComment(java.lang.String comment)

### getRole

    public Role getRole()

### setRole

    public void setRole(Role role)

### clone

    public DiagramElement clone(Compartment newParent,
                                java.lang.String newName)

### isKernelHidden

    public boolean isKernelHidden()

### isRoleHidden

    public boolean isRoleHidden()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.